Bug 238803 - Empty Data Sets not getting Rendered correctly with the New List Tag
Summary: Empty Data Sets not getting Rendered correctly with the New List Tag
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Grant Gainey
URL: https://rhn.webdev.redhat.com/rhn/sys...
Whiteboard:
Keywords:
Depends On:
Blocks: 239809
TreeView+ depends on / blocked
 
Reported: 2007-05-02 23:36 UTC by Partha Aji
Modified: 2007-07-25 15:17 UTC (History)
2 users (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 15:16:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Partha Aji 2007-05-02 23:36:57 UTC
+++ This bug was initially created as a clone of Bug #215622 +++

A couple of corrections that ought to be handled with the new list tag in the
case of an empty data set.  If you want to see how it appears right now go to

https://rhn.webdev.redhat.com/rhn/systems/details/configuration/ViewModifySandboxPaths.do?sid=1006926064

login: commandcenter/redhat

1) We want the Update List,Select All. Unselect All buttons not to appear.. 
2) We also do not want the pagination info like "1 - 0 of 0 (0 selected)".  

I tried to tinker with the SelectableDecorator without much luck.. I donot know
how to pass parameters/hints to the SelectableDecorator about the dataset from
the ListTag class...

If this too hard to do in the tag lib, then the only thing I can suggest is copy
pasting this block in every jsp

<rl:listset name="fileSet">

 <c:choose>
  <c:when test="${empty pageList}">
    <bean:message key="channelfiles.jsp.noFiles"/>
  </c:when>
  <c:otherwise>
    <rl:list dataset="..".
            .... >
        .......
    </rl:list>
  </c:otherwise>
 </c:choose>

</rl:listset>

I am not averse to this, but it does not seem to be a popular option and would
be nice to get it working with the taglib

This has been resolved in Satellite, might want to merge it to hosted...
http://svn.rhndev.redhat.com/viewcvs?rev=115238&view=rev 
And 
http://svn.rhndev.redhat.com/viewcvs?rev=115561&view=rev

Comment 1 Mike Orazi 2007-05-29 21:35:25 UTC
Merged 115238 as rev 116966.
Merged 115561 as rev 116967.

Comment 2 Mike Orazi 2007-05-31 16:30:26 UTC
Merged in 116020, 116024, 116067 as well.

Test plan:  See the original bug that this was cloned from.

Comment 4 Grant Gainey 2007-07-25 15:16:46 UTC
502 is now in production

Comment 5 James Bowes 2007-07-25 15:17:29 UTC
rhn502 released.


Note You need to log in before you can comment on or make changes to this bug.